commit e68970f5237355bcfce5b9498e1c9eb047eb5d8c
Author: jenkins <jenkins-int@bgbm.org>
Date:   Wed Mar 10 12:57:58 2021 +0100

    Updated version in pom / project files to taxeditor version : 5.21.0 and cdmlib version : 5.21.0

diff --git a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
index 7fb63e032..24fbc9988 100644
--- a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Application
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.application;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-Activator: eu.etaxonomy.taxeditor.TaxonomicEditorPlugin
 Bundle-Vendor: EDIT
 Bundle-Localization: OSGI-INF/l10n/plugin
diff --git a/eu.etaxonomy.taxeditor.application/pom.xml b/eu.etaxonomy.taxeditor.application/pom.xml
index c1537af94..4f196a7c5 100644
--- a/eu.etaxonomy.taxeditor.application/pom.xml
+++ b/eu.etaxonomy.taxeditor.application/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
index 6a81b5f45..c4cdcf3a9 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Bulkeditor Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.bulkeditor;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-Activator: eu.etaxonomy.taxeditor.bulkeditor.internal.TaxeditorBulkeditorPlugin
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.taxeditor.annotatedlineeditor,
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
index d81f0b21d..fa992d71e 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.21.0-SNAPSHOT</version>
+		<version>5.21.0</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index dfde8fc80..eb284e881 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: CDM Library Dependencies Plugin
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.cdmlib;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Eclipse-BundleShape: dir
 Export-Package: com.sun.istack.internal.tools,
  com.sun.istack.internal.ws,
@@ -563,13 +563,13 @@ Require-Bundle: org.eclipse.osgi,
 Bundle-ClassPath: .,
  lib/apache-log4j-extras-1.2.17.jar,
  lib/aspectjrt-1.9.6.jar,
- lib/cdmlib-commons-5.21.0-SNAPSHOT.jar,
- lib/cdmlib-ext-5.21.0-SNAPSHOT.jar,
- lib/cdmlib-io-5.21.0-SNAPSHOT.jar,
- lib/cdmlib-model-5.21.0-SNAPSHOT.jar,
- lib/cdmlib-persistence-5.21.0-SNAPSHOT.jar,
- lib/cdmlib-cache-5.21.0-SNAPSHOT.jar,
- lib/cdmlib-services-5.21.0-SNAPSHOT.jar,
+ lib/cdmlib-commons-5.21.0.jar,
+ lib/cdmlib-ext-5.21.0.jar,
+ lib/cdmlib-io-5.21.0.jar,
+ lib/cdmlib-model-5.21.0.jar,
+ lib/cdmlib-persistence-5.21.0.jar,
+ lib/cdmlib-cache-5.21.0.jar,
+ lib/cdmlib-services-5.21.0.jar,
  lib/commons-beanutils-1.9.4.jar,
  lib/commons-codec-1.15.jar,
  lib/commons-collections-3.2.2.jar,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index ebc53ba90..a2765ea76 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -3,12 +3,12 @@ bin.includes = META-INF/,\
                lib/apache-log4j-extras-1.2.17.jar,\
                lib/aspectjrt-1.9.6.jar,\
                lib/aspectjweaver-1.9.6.jar,\
-               lib/cdmlib-commons-5.21.0-SNAPSHOT.jar,\
-               lib/cdmlib-ext-5.21.0-SNAPSHOT.jar,\
-               lib/cdmlib-io-5.21.0-SNAPSHOT.jar,\
-               lib/cdmlib-model-5.21.0-SNAPSHOT.jar,\
-               lib/cdmlib-persistence-5.21.0-SNAPSHOT.jar,\
-               lib/cdmlib-services-5.21.0-SNAPSHOT.jar,\
+               lib/cdmlib-commons-5.21.0.jar,\
+               lib/cdmlib-ext-5.21.0.jar,\
+               lib/cdmlib-io-5.21.0.jar,\
+               lib/cdmlib-model-5.21.0.jar,\
+               lib/cdmlib-persistence-5.21.0.jar,\
+               lib/cdmlib-services-5.21.0.jar,\
                lib/commons-beanutils-1.9.4.jar,\
                lib/commons-codec-1.15.jar,\
                lib/commons-collections-3.2.2.jar,\
@@ -89,7 +89,7 @@ bin.includes = META-INF/,\
                lib/lucene-analyzers-common-5.4.1.jar,\
                lib/lucene-sandbox-5.4.1.jar,\
                lib/lucene-suggest-5.4.1.jar,\
-               lib/cdmlib-cache-5.21.0-SNAPSHOT.jar,\
+               lib/cdmlib-cache-5.21.0.jar,\
                lib/org.swtchart_0.10.0.v20160212.jar,\
                lib/commons-collections4-4.4.jar,\
                lib/commons-math3-3.6.1.jar,\
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index 5abe803cd..07e0b135d 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.cdmlib</artifactId>
diff --git a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
index 1df381f16..225d6f1ad 100644
--- a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Editor Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.editor;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-Activator: eu.etaxonomy.taxeditor.editor.internal.TaxeditorEditorPlugin
 Bundle-Vendor: %Bundle-Vendor.0
 Bundle-Localization: OSGI-INF/l10n/plugin
diff --git a/eu.etaxonomy.taxeditor.editor/pom.xml b/eu.etaxonomy.taxeditor.editor/pom.xml
index ad71db33b..057d33328 100644
--- a/eu.etaxonomy.taxeditor.editor/pom.xml
+++ b/eu.etaxonomy.taxeditor.editor/pom.xml
@@ -4,7 +4,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
   
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.feature.platform/feature.xml b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
index ac10a9868..4c6ebd793 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="eu.etaxonomy.taxeditor.feature.platform"
       label="Taxeditor Dependencies"
-      version="5.21.0.qualifier"
+      version="5.21.0"
       os="linux,macosx,win32"
       ws="cocoa,gtk,win32"
       arch="x86,x86_64">
diff --git a/eu.etaxonomy.taxeditor.feature.platform/pom.xml b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
index 84ff014dc..bcfea7688 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.21.0-SNAPSHOT</version>
+		<version>5.21.0</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>eu.etaxonomy.taxeditor.feature.platform</artifactId>
diff --git a/eu.etaxonomy.taxeditor.feature/feature.xml b/eu.etaxonomy.taxeditor.feature/feature.xml
index 52071ba4f..71c7ae87c 100644
--- a/eu.etaxonomy.taxeditor.feature/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="eu.etaxonomy.taxeditor.feature"
       label="Taxonomic Editor"
-      version="5.21.0.qualifier"
+      version="5.21.0"
       provider-name="EDIT"
       plugin="eu.etaxonomy.taxeditor.application"
       os="linux,macosx,win32"
diff --git a/eu.etaxonomy.taxeditor.feature/pom.xml b/eu.etaxonomy.taxeditor.feature/pom.xml
index d37f784ab..2de8b004e 100644
--- a/eu.etaxonomy.taxeditor.feature/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.feature</artifactId>
diff --git a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
index ca3fec56f..11b4a88ac 100644
--- a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Help
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.help; singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-Activator: eu.etaxonomy.taxeditor.help.Activator
 Bundle-Vendor: EDIT
 Require-Bundle: org.eclipse.ui,
diff --git a/eu.etaxonomy.taxeditor.help/pom.xml b/eu.etaxonomy.taxeditor.help/pom.xml
index ed589df92..78e223ea2 100644
--- a/eu.etaxonomy.taxeditor.help/pom.xml
+++ b/eu.etaxonomy.taxeditor.help/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.21.0-SNAPSHOT</version>
+		<version>5.21.0</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.local/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.local/META-INF/MANIFEST.MF
index a87740496..c39242e45 100644
--- a/eu.etaxonomy.taxeditor.local/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.local/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Local
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.local;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.jface,
  org.eclipse.ui.ide,
diff --git a/eu.etaxonomy.taxeditor.local/pom.xml b/eu.etaxonomy.taxeditor.local/pom.xml
index 78fa3e6b4..1472db2b7 100644
--- a/eu.etaxonomy.taxeditor.local/pom.xml
+++ b/eu.etaxonomy.taxeditor.local/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.local</artifactId>
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
index faa11aaeb..89236eebf 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: eu.etaxonomy.taxeditor.molecular.lib
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.molecular.lib;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-ClassPath: .,
  lib/owlapi-xmlutils-4.1.4.jar,
  lib/commons-collections4-4.1.jar,
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/pom.xml b/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
index aef376bee..9c3b8136f 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
+++ b/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
   
   <name>Molecular Library Dependencies Bundle</name>
diff --git a/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
index d983f4508..8a695ff15 100644
--- a/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Molecular Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.molecular;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-Activator: eu.etaxonomy.taxeditor.molecular.TaxeditorMolecularPlugin
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
diff --git a/eu.etaxonomy.taxeditor.molecular/pom.xml b/eu.etaxonomy.taxeditor.molecular/pom.xml
index c918da7da..bd1834761 100644
--- a/eu.etaxonomy.taxeditor.molecular/pom.xml
+++ b/eu.etaxonomy.taxeditor.molecular/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
index 861485d7f..2870d7d50 100644
--- a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Navigation Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.navigation;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-Activator: eu.etaxonomy.taxeditor.navigation.internal.TaxeditorNavigationPlugin
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.taxeditor.navigation,
diff --git a/eu.etaxonomy.taxeditor.navigation/pom.xml b/eu.etaxonomy.taxeditor.navigation/pom.xml
index a69219680..112f58d42 100644
--- a/eu.etaxonomy.taxeditor.navigation/pom.xml
+++ b/eu.etaxonomy.taxeditor.navigation/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>5.21.0-SNAPSHOT</version>
+		<version>5.21.0</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
index be00e6f77..ae2edffff 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Printpublisher Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.printpublisher;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Export-Package: eu.etaxonomy.cdm.print,
  eu.etaxonomy.cdm.print.out,
  eu.etaxonomy.cdm.print.out.odf,
@@ -47,8 +47,8 @@ Require-Bundle: org.eclipse.osgi,
  eu.etaxonomy.taxeditor.editor,
  eu.etaxonomy.taxeditor.store
 Bundle-ClassPath: .,
- lib/cdmlib-print-5.21.0-SNAPSHOT.jar,
- lib/cdmlib-remote-5.21.0-SNAPSHOT.jar
+ lib/cdmlib-print-5.21.0.jar,
+ lib/cdmlib-remote-5.21.0.jar
 Import-Package: org.apache.log4j,
  org.eclipse.core.runtime,
  org.eclipse.core.runtime.jobs,
diff --git a/eu.etaxonomy.taxeditor.printpublisher/build.properties b/eu.etaxonomy.taxeditor.printpublisher/build.properties
index d7daaa519..3def3c915 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/build.properties
+++ b/eu.etaxonomy.taxeditor.printpublisher/build.properties
@@ -2,7 +2,7 @@ source.. = src/main/java/
 bin.includes = META-INF/,\
                .,\
                plugin.xml,\
-               lib/cdmlib-print-5.21.0-SNAPSHOT.jar,\
-               lib/cdmlib-remote-5.21.0-SNAPSHOT.jar,\
+               lib/cdmlib-print-5.21.0.jar,\
+               lib/cdmlib-remote-5.21.0.jar,\
                OSGI-INF/l10n/bundle.properties,\
                OSGI-INF/l10n/bundle_de.properties,\
diff --git a/eu.etaxonomy.taxeditor.printpublisher/pom.xml b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
index 43b4a946c..5008a4a1b 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/pom.xml
+++ b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<artifactId>taxeditor-parent</artifactId>
 		<groupId>eu.etaxonomy</groupId>
-		<version>5.21.0-SNAPSHOT</version>
+		<version>5.21.0</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
index 8e2931d14..bd38e57d5 100644
--- a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: DataStore Bundle
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.store;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-Activator: eu.etaxonomy.taxeditor.store.internal.TaxeditorStorePlugin
 Bundle-Vendor: EDIT
 Bundle-Localization: OSGI-INF/l10n/bundle
diff --git a/eu.etaxonomy.taxeditor.store/pom.xml b/eu.etaxonomy.taxeditor.store/pom.xml
index f2611a7c8..506f8c513 100644
--- a/eu.etaxonomy.taxeditor.store/pom.xml
+++ b/eu.etaxonomy.taxeditor.store/pom.xml
@@ -3,7 +3,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-	<version>5.21.0-SNAPSHOT</version>
+	<version>5.21.0</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
index 87e8596d4..4525dfcb5 100644
--- a/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: eu.etaxonomy.taxeditor.test
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.test;singleton:=true
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: EDIT
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/eu.etaxonomy.taxeditor.test/pom.xml b/eu.etaxonomy.taxeditor.test/pom.xml
index 10572d45a..534ef3b15 100644
--- a/eu.etaxonomy.taxeditor.test/pom.xml
+++ b/eu.etaxonomy.taxeditor.test/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
   <artifactId>eu.etaxonomy.taxeditor.test</artifactId>
   <!-- for packaging=eclipse-test-plugin 
diff --git a/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF
index 2ef3784ac..1b47b22f4 100644
--- a/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.workbench/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Export-Package: eu.etaxonomy.taxeditor.bulkeditor,
  eu.etaxonomy.taxeditor.workbench.datasource,
  eu.etaxonomy.taxeditor.workbench.part
 Bundle-Name: Workbench Bundle
-Bundle-Version: 5.21.0.qualifier
+Bundle-Version: 5.21.0
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.e4.ui.workbench,
diff --git a/eu.etaxonomy.taxeditor.workbench/pom.xml b/eu.etaxonomy.taxeditor.workbench/pom.xml
index 2cc286bb0..bbd225e0c 100644
--- a/eu.etaxonomy.taxeditor.workbench/pom.xml
+++ b/eu.etaxonomy.taxeditor.workbench/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product b/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
index 7f8a8d6ce..b4cf3d262 100644
--- a/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
+++ b/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
@@ -1,61 +1,42 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<?pde version="3.5"?>
-
-<product name="EDIT Taxonomic Editor" uid="eu.etaxonomy.taxeditor.product" id="eu.etaxonomy.taxeditor.application.eu_etaxonomy_taxeditor_product" application="eu.etaxonomy.taxeditor.application.application" version="5.21.0.qualifier" useFeatures="true" includeLaunchers="true">
-
-   <aboutInfo>
-      <image path="/eu.etaxonomy.taxeditor.application/icons/256color_48x48.gif"/>
-      <text>
-         %productBlurb
-      </text>
-   </aboutInfo>
-
-   <configIni use="default">
-   </configIni>
-
-   <launcherArgs>
-      <programArgs>-data @user.home/.cdmLibrary -Dserver_port=58080
-      </programArgs>
-      <programArgsLin>--launcher.GTK_version
-2
-      </programArgsLin>
-      <vmArgs>-Xmx512M -Dorg.eclipse.update.reconcile=false -Declipse.p2.unsignedPolicy=allow -Dremoting.httpinvoker.measureDuration=true
-      </vmArgs>
-      <vmArgsMac>-XstartOnFirstThread -Dorg.eclipse.swt.internal.carbon.smallFonts
-      </vmArgsMac>
-   </launcherArgs>
-
-   <windowImages i16="/eu.etaxonomy.taxeditor.application/icons/256color_16x16.gif" i32="/eu.etaxonomy.taxeditor.application/icons/256color_32x32.gif" i48="/eu.etaxonomy.taxeditor.application/icons/256color_48x48.gif"/>
-
-   <splash
-      location="eu.etaxonomy.taxeditor.application"
-      startupProgressRect="5,447,366,15"
-      startupMessageRect="7,432,360,20"
-      startupForegroundColor="000000" />
-   <launcher name="TaxonomicEditor">
-      <solaris/>
-      <win useIco="false">
-         <bmp/>
-      </win>
-   </launcher>
-
-   <vm>
-   </vm>
-
-   <plugins>
-   </plugins>
-
-   <features>
-      <feature id="eu.etaxonomy.taxeditor.feature"/>
-   </features>
-
-   <configurations>
-      <plugin id="eu.etaxonomy.taxeditor.application" autoStart="true" startLevel="5" />
-      <plugin id="org.eclipse.core.runtime" autoStart="true" startLevel="4" />
-      <plugin id="org.eclipse.equinox.common" autoStart="true" startLevel="2" />
-      <plugin id="org.eclipse.equinox.ds" autoStart="true" startLevel="2" />
-      <plugin id="org.eclipse.equinox.p2.transport.ecf" autoStart="true" startLevel="4" />
-      <plugin id="org.eclipse.equinox.simpleconfigurator" autoStart="true" startLevel="1" />
-   </configurations>
-
-</product>
+<?xml version="1.0" encoding="UTF-8"?>
+<?pde version="3.5"?><product application="eu.etaxonomy.taxeditor.application.application" id="eu.etaxonomy.taxeditor.application.eu_etaxonomy_taxeditor_product" includeLaunchers="true" name="EDIT Taxonomic Editor" uid="eu.etaxonomy.taxeditor.product" useFeatures="true" version="5.21.0">
+  <aboutInfo>
+    <image path="/eu.etaxonomy.taxeditor.application/icons/256color_48x48.gif"/>
+    <text>
+         %productBlurb
+      </text>
+  </aboutInfo>
+  <configIni use="default"></configIni>
+  <launcherArgs>
+    <programArgs>-data @user.home/.cdmLibrary -Dserver_port=58080
+      </programArgs>
+    <programArgsLin>--launcher.GTK_version
+2
+      </programArgsLin>
+    <vmArgs>-Xmx512M -Dorg.eclipse.update.reconcile=false -Declipse.p2.unsignedPolicy=allow -Dremoting.httpinvoker.measureDuration=true
+      </vmArgs>
+    <vmArgsMac>-XstartOnFirstThread -Dorg.eclipse.swt.internal.carbon.smallFonts
+      </vmArgsMac>
+  </launcherArgs>
+  <windowImages i16="/eu.etaxonomy.taxeditor.application/icons/256color_16x16.gif" i32="/eu.etaxonomy.taxeditor.application/icons/256color_32x32.gif" i48="/eu.etaxonomy.taxeditor.application/icons/256color_48x48.gif"/>
+  <splash location="eu.etaxonomy.taxeditor.application" startupForegroundColor="000000" startupMessageRect="7,432,360,20" startupProgressRect="5,447,366,15"/>
+  <launcher name="TaxonomicEditor">
+    <solaris/>
+    <win useIco="false">
+      <bmp/>
+    </win>
+  </launcher>
+  <vm></vm>
+  <plugins></plugins>
+  <features>
+    <feature id="eu.etaxonomy.taxeditor.feature"/>
+  </features>
+  <configurations>
+    <plugin autoStart="true" id="eu.etaxonomy.taxeditor.application" startLevel="5"/>
+    <plugin autoStart="true" id="org.eclipse.core.runtime" startLevel="4"/>
+    <plugin autoStart="true" id="org.eclipse.equinox.common" startLevel="2"/>
+    <plugin autoStart="true" id="org.eclipse.equinox.ds" startLevel="2"/>
+    <plugin autoStart="true" id="org.eclipse.equinox.p2.transport.ecf" startLevel="4"/>
+    <plugin autoStart="true" id="org.eclipse.equinox.simpleconfigurator" startLevel="1"/>
+  </configurations>
+</product>
diff --git a/eu.etaxonomy.taxeditor/pom.xml b/eu.etaxonomy.taxeditor/pom.xml
index 991705bfe..a4a103ccb 100644
--- a/eu.etaxonomy.taxeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor/pom.xml
@@ -2,7 +2,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>5.21.0-SNAPSHOT</version>
+    <version>5.21.0</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/pom.xml b/pom.xml
index ca74c7f7e..9ce771746 100644
--- a/pom.xml
+++ b/pom.xml
@@ -6,7 +6,7 @@
   </prerequisites>
   <groupId>eu.etaxonomy</groupId>
   <artifactId>taxeditor-parent</artifactId>
-  <version>5.21.0-SNAPSHOT</version>
+  <version>5.21.0</version>
   <name>EDIT Taxonomic Editor</name>
   <description>The Taxonomic Editor for EDIT's platform for
     cybertaxonomy
@@ -18,13 +18,13 @@
   <properties>
     <java.codelevel>1.8</java.codelevel>
     <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-    <cdmlib.version>5.21.0-SNAPSHOT</cdmlib.version>
+    <cdmlib.version>5.21.0</cdmlib.version>
     <!-- TODO can we use project.version ????? -->
     <!-- Increasing tycho above 0.22.0 will fail for the macosx build because 
       for higher version numbers tycho needs to be build against Eclipse Mars or 
       higher -->
     <tycho.version>1.0.0</tycho.version>
-    <taxeditor.version>5.21.0-SNAPSHOT</taxeditor.version>
+    <taxeditor.version>5.21.0</taxeditor.version>
     <update.dir>snapshot</update.dir>
     <log4j.version>1.2.17</log4j.version>
     <httpcomponents.version>4.5.12</httpcomponents.version>