commit 69040a4b379fe6a55142c9736b44b4e07bb95935
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Thu Sep 10 16:22:34 2015 +0200

    Revert "Revert project versions to 3.8.0-SNAPSHOT"
    
    This reverts commit e8268306693f047beef36ce53524adc00946cf74.

diff --git a/eu.etaxonomy.taxeditor.application/pom.xml b/eu.etaxonomy.taxeditor.application/pom.xml
index 2f4db0a33..f703721c9 100644
--- a/eu.etaxonomy.taxeditor.application/pom.xml
+++ b/eu.etaxonomy.taxeditor.application/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>3.8.0-SNAPSHOT</version>
+    <version>3.9.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
index 7730f3fad..c7b18d83b 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor.bulkeditor/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.8.0-SNAPSHOT</version>
+		<version>3.9.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index 336971169..8b2b7ecbc 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>3.8.0-SNAPSHOT</version>
+    <version>3.9.0-SNAPSHOT</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.cdmlib</artifactId>
diff --git a/eu.etaxonomy.taxeditor.editor/pom.xml b/eu.etaxonomy.taxeditor.editor/pom.xml
index eaeafdfc8..1a2b97bff 100644
--- a/eu.etaxonomy.taxeditor.editor/pom.xml
+++ b/eu.etaxonomy.taxeditor.editor/pom.xml
@@ -3,7 +3,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-    <version>3.8.0-SNAPSHOT</version>
+    <version>3.9.0-SNAPSHOT</version>
   </parent>
   
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.feature.platform/pom.xml b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
index 89384ec77..19cff030b 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.8.0-SNAPSHOT</version>
+		<version>3.9.0-SNAPSHOT</version>
 	</parent>
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>eu.etaxonomy.taxeditor.feature.platform</artifactId>
diff --git a/eu.etaxonomy.taxeditor.feature/pom.xml b/eu.etaxonomy.taxeditor.feature/pom.xml
index e75d41e1a..4e1c9ede4 100644
--- a/eu.etaxonomy.taxeditor.feature/pom.xml
+++ b/eu.etaxonomy.taxeditor.feature/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>3.8.0-SNAPSHOT</version>
+    <version>3.9.0-SNAPSHOT</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
   <artifactId>eu.etaxonomy.taxeditor.feature</artifactId>
diff --git a/eu.etaxonomy.taxeditor.help/pom.xml b/eu.etaxonomy.taxeditor.help/pom.xml
index 6a4b52361..061e88f6d 100644
--- a/eu.etaxonomy.taxeditor.help/pom.xml
+++ b/eu.etaxonomy.taxeditor.help/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.8.0-SNAPSHOT</version>
+		<version>3.9.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/pom.xml b/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
index 5700ef85e..24f32e550 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
+++ b/eu.etaxonomy.taxeditor.molecular.lib/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>3.8.0-SNAPSHOT</version>
+    <version>3.9.0-SNAPSHOT</version>
   </parent>
 
   <build>
diff --git a/eu.etaxonomy.taxeditor.molecular/pom.xml b/eu.etaxonomy.taxeditor.molecular/pom.xml
index 1e91c23b5..47d1f0ffb 100644
--- a/eu.etaxonomy.taxeditor.molecular/pom.xml
+++ b/eu.etaxonomy.taxeditor.molecular/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>3.8.0-SNAPSHOT</version>
+    <version>3.9.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.navigation/pom.xml b/eu.etaxonomy.taxeditor.navigation/pom.xml
index 992838c22..42bb8bc7a 100644
--- a/eu.etaxonomy.taxeditor.navigation/pom.xml
+++ b/eu.etaxonomy.taxeditor.navigation/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>taxeditor-parent</artifactId>
-		<version>3.8.0-SNAPSHOT</version>
+		<version>3.9.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.printpublisher/pom.xml b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
index 4c2859ebb..74fa2171c 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/pom.xml
+++ b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
@@ -3,7 +3,7 @@
 	<parent>
 		<artifactId>taxeditor-parent</artifactId>
 		<groupId>eu.etaxonomy</groupId>
-		<version>3.8.0-SNAPSHOT</version>
+		<version>3.9.0-SNAPSHOT</version>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor.store/pom.xml b/eu.etaxonomy.taxeditor.store/pom.xml
index 30f30166f..6861b3676 100644
--- a/eu.etaxonomy.taxeditor.store/pom.xml
+++ b/eu.etaxonomy.taxeditor.store/pom.xml
@@ -3,7 +3,7 @@
   <parent>
 	<groupId>eu.etaxonomy</groupId>
 	<artifactId>taxeditor-parent</artifactId>
-	<version>3.8.0-SNAPSHOT</version>
+	<version>3.9.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/eu.etaxonomy.taxeditor/pom.xml b/eu.etaxonomy.taxeditor/pom.xml
index 09c338c76..100e5185d 100644
--- a/eu.etaxonomy.taxeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor/pom.xml
@@ -2,7 +2,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>taxeditor-parent</artifactId>
-    <version>3.8.0-SNAPSHOT</version>
+    <version>3.9.0-SNAPSHOT</version>
   </parent>
 
   <modelVersion>4.0.0</modelVersion>
diff --git a/pom.xml b/pom.xml
index 02de7ab41..59abf5ee5 100644
--- a/pom.xml
+++ b/pom.xml
@@ -6,7 +6,7 @@
   </prerequisites>
   <groupId>eu.etaxonomy</groupId>
   <artifactId>taxeditor-parent</artifactId>
-  <version>3.8.0-SNAPSHOT</version>
+  <version>3.9.0-SNAPSHOT</version>
   <name>EDIT Taxonomic Editor</name>
   <description>The Taxonomic Editor for EDIT's platform for
     cybertaxonomy