commit 69213a6e1c38089624aaf5a6a4843ce83c262270
Author: Katja Luther <k.luther@bgbm.org>
Date:   Wed Feb 5 14:18:19 2020 +0100

    ref #8562: add admin preference page for multilanguage support

diff --git a/eu.etaxonomy.taxeditor.store/plugin.xml b/eu.etaxonomy.taxeditor.store/plugin.xml
index 879d938f9..f1fc9ff93 100755
--- a/eu.etaxonomy.taxeditor.store/plugin.xml
+++ b/eu.etaxonomy.taxeditor.store/plugin.xml
@@ -721,37 +721,37 @@
 </extension>
 <extension
       point="eu.etaxonomy.taxeditor.store.adminPreferencePage">
-   <!-- <page
-         class="eu.etaxonomy.taxeditor.preference.TaxonomicEditorGeneralAdminPreferences"
-         id="eu.etaxonomy.taxeditor.preferences.general"
-         name="%page.name">
-   </page>  -->
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.GeneralAdminPreferencePage"
-         id="eu.etaxonomy.taxeditor.preferences.generalPreferences"
-         name="%page.name.50">
-   </page>
-   <!--<page 
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.DistributionAdminPreferences"
-         id="eu.etaxonomy.taxeditor.store.distribution"
-         name="%page.name.100">
-   </page>-->
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.GeneralAdminPreferencePage"
+            id="eu.etaxonomy.taxeditor.preferences.generalPreferences"
+            name="%page.name.50">
+      </page>
       <page
             category="eu.etaxonomy.taxeditor.preferences.general"
             class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.FactualDataAdminPreferencePage"
             id="eu.etaxonomy.taxeditor.preferences.description"
             name="%page.name.0">
       </page>
-      
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.EmptyAdminPreferencePage"
+            id="eu.etaxonomy.taxeditor.preference.EmptyLanguagePage"
+            name="%page.name.30">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preference.EmptyLanguagePage"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.LanguageAdminMenuPreference"
+            id="eu.etaxonomy.taxeditor.preferences.languages"
+            name="%page.name.10">
+      </page>
       <page
             category="eu.etaxonomy.taxeditor.preferences.description"
             class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NameFeatureAdminMenuPreference"
             id="eu.etaxonomy.taxeditor.preferences.nameAdminFeature"
             name="%page.name.59">
       </page>
-       <page
+      <page
             category="eu.etaxonomy.taxeditor.preferences.description"
             class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.FeatureAdminMenuPreference"
             id="eu.etaxonomy.taxeditor.preferences.adminFeature"
@@ -769,130 +769,130 @@
             id="eu.etaxonomy.taxeditor.preferences.defaultFeatureTreePreferenecs"
             name="%page.name.22">
       </page>
-    <page 
-          category="eu.etaxonomy.taxeditor.store.UIAdminPreference"
-         class="eu.etaxonomy.taxeditor.preference.DistributionGeneralPreference"
-         id="eu.etaxonomy.taxeditor.store.Distribution"
-         name="%page.name.104">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.preference.SearchPreferences"
-         id="eu.etaxonomy.taxeditor.preference.searchPreferences"
-         name="%page.name.56">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preference.searchPreferences"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SearchDialogAdminPreferences"
-         id="eu.etaxonomy.taxeditor.preferences.searchDialog"
-         name="%page.name.48">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.preference.NamePreferences"
-         id="eu.etaxonomy.taxeditor.preferences.namePreferences"
-         name="%page.name.51">
-   </page>
-   <page 
-         category="eu.etaxonomy.taxeditor.store.Distribution"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.ChecklistEditorGeneralAdminPreference"
-         id="eu.etaxonomy.taxeditor.store.checklist"
-         name="%page.name.21">
-   </page>
-   <page 
-         category="eu.etaxonomy.taxeditor.store.Distribution"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.DistributionStatusAdminPreference"
-         id="eu.etaxonomy.taxeditor.store.distributionVocabulariesAndStatus"
-         name="%page.name.105">
-   </page>
-   <page 
-         category="eu.etaxonomy.taxeditor.store.Distribution"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NamedAreaVocabularyAdminPreferencePage"
-         id="eu.etaxonomy.taxeditor.store.distributionNamedAreaVocabularies"
-         name="%page.name.106">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.store.abcdImportPreference"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportProviderAdminPreferencePage"
-         id="eu.etaxonomy.taxeditor.store.abcdImportProvider"
-         name="%page.name.41">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.description"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.CommonNameVocabularyAdminPreferencePage"
-         id="eu.etaxonomy.taxeditor.store.vocabularyAdminPreference"
-         name="%page.name.47">
-   </page>
-    <page
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SpecimenAdminPreferences"
-         id="eu.etaxonomy.taxeditor.store.specimenAdminPreferences"
-         name="%page.name.26">
-   </page>
-   <page
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.EmptyAdminPreferencePage"
-         id="eu.etaxonomy.taxeditor.preferences.general"
-         name="%page.name.42">
-   </page>
-    <page
-        category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.PublishFlagPreference"
-         id="eu.etaxonomy.taxeditor.preferences.publishFlagPreference"
-         name="%page.name.46">
-   </page>
-    <page
-          category="eu.etaxonomy.taxeditor.preferences.namePreferences"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.RankAdminPreference"
-         id="eu.etaxonomy.taxeditor.preferences.adminRankPreference"
-         name="%page.name.5">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.namePreferences"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NomenclaturalStatusTypeAdminPreference"
-         id="eu.etaxonomy.taxeditor.preferences.adminNomenclaturalStatusTypePreference"
-         name="%page.name.6">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.namePreferences"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NomenclaturalCodeAdminPreferencePage"
-         id="eu.etaxonomy.taxeditor.store.page2"
-         name="%page.name.43">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportAdminPreference"
-         id="eu.etaxonomy.taxeditor.store.abcdImportPreference"
-         name="%page.name.40">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.namePreferences"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NameDetailsViewAdminConfiguration"
-         id="eu.etaxonomy.taxeditor.store.scientificNameDetails"
-         name="%page.name.61">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SupplementalDataAdminPreference"
-         id="eu.etaxonomy.taxeditor.store.supplementalDataPreferences"
-         name="%page.name.55">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.store.supplementalDataPreferences"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SupplementalDataSourceAdminPreference"
-         id="eu.etaxonomy.taxeditor.store.supplementalDataSourcePreferences"
-         name="%page.name.sources">
-   </page>
-   <page
-         category="eu.etaxonomy.taxeditor.preferences.general"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.UIAdminPreference"
-         id="eu.etaxonomy.taxeditor.store.UIAdminPreference"
-         name="%page.name.53">
-   </page>
-     <page
-         category="eu.etaxonomy.taxeditor.store.UIAdminPreference"
-         class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.TaxonNodeOrderAdminPreference"
-         id="eu.etaxonomy.taxeditor.store.TaxonNavigator"
-         name="%page.name.32">
-   </page>
+      <page 
+            category="eu.etaxonomy.taxeditor.store.UIAdminPreference"
+            class="eu.etaxonomy.taxeditor.preference.DistributionGeneralPreference"
+            id="eu.etaxonomy.taxeditor.store.Distribution"
+            name="%page.name.104">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.preference.SearchPreferences"
+            id="eu.etaxonomy.taxeditor.preference.searchPreferences"
+            name="%page.name.56">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preference.searchPreferences"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SearchDialogAdminPreferences"
+            id="eu.etaxonomy.taxeditor.preferences.searchDialog"
+            name="%page.name.48">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.preference.NamePreferences"
+            id="eu.etaxonomy.taxeditor.preferences.namePreferences"
+            name="%page.name.51">
+      </page>
+      <page 
+            category="eu.etaxonomy.taxeditor.store.Distribution"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.ChecklistEditorGeneralAdminPreference"
+            id="eu.etaxonomy.taxeditor.store.checklist"
+            name="%page.name.21">
+      </page>
+      <page 
+            category="eu.etaxonomy.taxeditor.store.Distribution"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.DistributionStatusAdminPreference"
+            id="eu.etaxonomy.taxeditor.store.distributionVocabulariesAndStatus"
+            name="%page.name.105">
+      </page>
+      <page 
+            category="eu.etaxonomy.taxeditor.store.Distribution"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NamedAreaVocabularyAdminPreferencePage"
+            id="eu.etaxonomy.taxeditor.store.distributionNamedAreaVocabularies"
+            name="%page.name.106">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.store.abcdImportPreference"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportProviderAdminPreferencePage"
+            id="eu.etaxonomy.taxeditor.store.abcdImportProvider"
+            name="%page.name.41">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.description"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.CommonNameVocabularyAdminPreferencePage"
+            id="eu.etaxonomy.taxeditor.store.vocabularyAdminPreference"
+            name="%page.name.47">
+      </page>
+       <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SpecimenAdminPreferences"
+            id="eu.etaxonomy.taxeditor.store.specimenAdminPreferences"
+            name="%page.name.26">
+      </page>
+      <page
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.EmptyAdminPreferencePage"
+            id="eu.etaxonomy.taxeditor.preferences.general"
+            name="%page.name.42">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.PublishFlagPreference"
+            id="eu.etaxonomy.taxeditor.preferences.publishFlagPreference"
+            name="%page.name.46">
+      </page>
+      <page
+           category="eu.etaxonomy.taxeditor.preferences.namePreferences"
+           class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.RankAdminPreference"
+           id="eu.etaxonomy.taxeditor.preferences.adminRankPreference"
+           name="%page.name.5">
+     </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.namePreferences"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NomenclaturalStatusTypeAdminPreference"
+            id="eu.etaxonomy.taxeditor.preferences.adminNomenclaturalStatusTypePreference"
+            name="%page.name.6">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.namePreferences"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NomenclaturalCodeAdminPreferencePage"
+            id="eu.etaxonomy.taxeditor.store.page2"
+            name="%page.name.43">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.AbcdImportAdminPreference"
+            id="eu.etaxonomy.taxeditor.store.abcdImportPreference"
+            name="%page.name.40">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.namePreferences"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.NameDetailsViewAdminConfiguration"
+            id="eu.etaxonomy.taxeditor.store.scientificNameDetails"
+            name="%page.name.61">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SupplementalDataAdminPreference"
+            id="eu.etaxonomy.taxeditor.store.supplementalDataPreferences"
+            name="%page.name.55">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.store.supplementalDataPreferences"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.SupplementalDataSourceAdminPreference"
+            id="eu.etaxonomy.taxeditor.store.supplementalDataSourcePreferences"
+            name="%page.name.sources">
+      </page>
+      <page
+            category="eu.etaxonomy.taxeditor.preferences.general"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.UIAdminPreference"
+            id="eu.etaxonomy.taxeditor.store.UIAdminPreference"
+            name="%page.name.53">
+       </page>
+       <page
+            category="eu.etaxonomy.taxeditor.store.UIAdminPreference"
+            class="eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.TaxonNodeOrderAdminPreference"
+            id="eu.etaxonomy.taxeditor.store.TaxonNavigator"
+            name="%page.name.32">
+      </page>
 </extension>
 </plugin>