commit 79276af07ab01a2c98962ced9ac2a5d02330ff13
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Sun Sep 29 20:25:07 2019 +0200

    cleanup

diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java
index 4a9f0190..08746ca4 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java
@@ -57,8 +57,8 @@ public class PesiExportActivatorERMS {
 	boolean doInferredSynonyms = false; //only with doTaxa
 	boolean doRelTaxa = false;
 	boolean doAdditionalTaxonSource = false;
-	boolean doDescriptions = false;
-	boolean doEcology = true;
+	boolean doDescriptions = true;
+	boolean doEcologyAndLink = doDescriptions;
 
 	static boolean doPureNames = false;  //ERMS has no pure names
 
@@ -86,7 +86,7 @@ public class PesiExportActivatorERMS {
 		config.setDoRelTaxa(doRelTaxa);
 		config.setDoAdditionalTaxonSource(doAdditionalTaxonSource);
 		config.setDoDescription(doDescriptions);
-		config.setDoEcology(doEcology);
+		config.setDoEcologyAndLink(doEcologyAndLink);
 
 //		config.setDoOccurrence(doOccurrence);
 //		config.setDoOccurrenceSource(doOccurrenceSource);
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/erms/ErmsImportState.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/erms/ErmsImportState.java
index d8d7fe91..78d7617e 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/erms/ErmsImportState.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/erms/ErmsImportState.java
@@ -84,7 +84,7 @@ public class ErmsImportState extends DbImportStateBase<ErmsImportConfigurator, E
 	 * @return
 	 * @throws RuntimeException
 	 **/
-	public Rank getRank (int rankId, int  kingdomId){
+	public Rank getRank (int rankId, int kingdomId){
 		Rank result = null;
 		if (this.rankMap == null){
 			throw new RuntimeException("rank map not initialized");
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportState.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportState.java
index a73eb6a8..6c42c8c2 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportState.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportState.java
@@ -26,57 +26,45 @@ import eu.etaxonomy.cdm.model.term.DefinedTermBase;
 /**
  * @author a.mueller
  * @since 11.05.2009
- * @version 1.0
  */
 public class IndexFungorumImportState extends DbImportStateBase<IndexFungorumImportConfigurator, IndexFungorumImportState>{
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(IndexFungorumImportState.class);
 
-	Map<String, DefinedTermBase> dbCdmDefTermMap = new HashMap<String, DefinedTermBase>();
+	Map<String, DefinedTermBase> dbCdmDefTermMap = new HashMap<>();
 
-	Map<String, User> usernameMap = new HashMap<String, User>();
+	Map<String, User> usernameMap = new HashMap<>();
 
 	private Map<Integer, Map<Integer,Rank>> rankMap;
 
 	private Map<String, TaxonBase> speciesMap;
 
-	private List<UUID> infraspecificTaxaUUIDs = new ArrayList<UUID>();
+	private List<UUID> infraspecificTaxaUUIDs = new ArrayList<>();
 
 
 
-
-    public List<UUID> getInfraspecificTaxaUUIDs() {
-		return infraspecificTaxaUUIDs;
-	}
-
-
-	public void setInfraspecificTaxaUUIDs(List<UUID> infraspecificTaxaUUIDs) {
-		this.infraspecificTaxaUUIDs = infraspecificTaxaUUIDs;
-	}
-
-
 	public IndexFungorumImportState(IndexFungorumImportConfigurator config) {
 		super(config);
 	}
 
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.IoStateBase#initialize(eu.etaxonomy.cdm.io.common.IoConfiguratorBase)
-	 */
 	@Override
 	public void initialize(IndexFungorumImportConfigurator config) {
 //		super(config);
 	}
 
+    public List<UUID> getInfraspecificTaxaUUIDs() {
+        return infraspecificTaxaUUIDs;
+    }
+    public void setInfraspecificTaxaUUIDs(List<UUID> infraspecificTaxaUUIDs) {
+        this.infraspecificTaxaUUIDs = infraspecificTaxaUUIDs;
+    }
 
 	public Map<String, DefinedTermBase> getDbCdmDefinedTermMap(){
 		return this.dbCdmDefTermMap;
 	}
-
 	public void putDefinedTermToMap(String tableName, String id, DefinedTermBase term){
 		 this.dbCdmDefTermMap.put(tableName + "_" + id, term);
 	}
-
 	public void putDefinedTermToMap(String tableName, int id, DefinedTermBase term){
 		putDefinedTermToMap(tableName, String.valueOf(id), term);
 	}
@@ -85,65 +73,20 @@ public class IndexFungorumImportState extends DbImportStateBase<IndexFungorumImp
     public User getUser(String username){
 		return usernameMap.get(username);
 	}
-
 	@Override
     public void putUser(String username, User user){
 		usernameMap.put(username, user);
 	}
-	/**
-     * @return the speciesMap
-     */
+
     public Map<String, TaxonBase> getSpeciesMap() {
         return speciesMap;
     }
-
-
-    /**
-     * @param speciesMap the speciesMap to set
-     */
     public void setSpeciesMap(Map<String, TaxonBase> speciesMap) {
         this.speciesMap = speciesMap;
     }
 
-	/**
-	 * @param rankMap the rankMap to set
-	 */
 	public void setRankMap(Map<Integer, Map<Integer,Rank>> rankMap) {
 		this.rankMap = rankMap;
 	}
 
-//	/**
-//	 * @return the rankMap
-//	 */
-//	public Map<Integer, Map<Integer,Rank>> getRankMap() {
-//		return rankMap;
-//	}
-
-
-	/**
-	 * Returns the CDM rank depending on the ERMS rankId and the ERMS kingdomId. Returns <code>
-	 * null</code> if the rank does not exist.
-	 * Throws a RuntimeException if the rank map has not been initialized before.
-	 * @param rankId
-	 * @param kingdomId
-	 * @return
-	 * @throws RuntimeException
-	 **/
-	public Rank getRank (int rankId, int  kingdomId){
-		Rank result = null;
-		if (this.rankMap == null){
-			throw new RuntimeException("rank map not initialized");
-		}
-		if (kingdomId == 147415 && rankId == 10){
-			result = Rank.KINGDOM();
-		}else{
-			Map<Integer, Rank> kingdomMap = rankMap.get(rankId);
-			if (kingdomMap != null){
-				result = kingdomMap.get(kingdomId);
-			}
-		}
-		return result;
-	}
-
-
 }
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumTransformer.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumTransformer.java
index 17583821..1a10eed7 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumTransformer.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumTransformer.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -15,36 +15,20 @@ import org.apache.log4j.Logger;
 import eu.etaxonomy.cdm.io.common.TdwgAreaProvider;
 import eu.etaxonomy.cdm.io.common.mapping.InputTransformerBase;
 import eu.etaxonomy.cdm.io.common.mapping.UndefinedTransformerMethodException;
-import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.Country;
-import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
+import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.name.Rank;
 
 /**
  * @author a.mueller
  * @since 01.03.2010
- * @version 1.0
  */
 public final class IndexFungorumTransformer extends InputTransformerBase {
-	private static final Logger logger = Logger.getLogger(IndexFungorumTransformer.class);
-	
-	public static final String LSID_PREFIX = "urn:lsid:indexfungorum.org:names:";
 
-	public static NomenclaturalCode kingdomId2NomCode(Integer kingdomId){
-		switch (kingdomId){
-			case 1: return null;
-			case 2: return NomenclaturalCode.ICZN;  //Animalia
-			case 3: return NomenclaturalCode.ICNAFP;  //Plantae
-			case 4: return NomenclaturalCode.ICNAFP;  //Fungi
-			case 5: return NomenclaturalCode.ICZN ;  //Protozoa
-			case 6: return NomenclaturalCode.ICNB ;  //Bacteria
-			case 7: return NomenclaturalCode.ICNAFP;  //Chromista
-			case 147415: return NomenclaturalCode.ICNB;  //Monera
-			default: return null;
-	
-		}
-	}
+    private static final long serialVersionUID = 7930365658820136180L;
+    private static final Logger logger = Logger.getLogger(IndexFungorumTransformer.class);
 
+	public static final String LSID_PREFIX = "urn:lsid:indexfungorum.org:names:";
 
 
 	@Override
@@ -66,14 +50,9 @@ public final class IndexFungorumTransformer extends InputTransformerBase {
 				logger.warn("Unhandled rank: " + rankFk);
 				return null;
 		}
-		
 	}
 
 
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.io.common.mapping.InputTransformerBase#getNamedAreaByKey(java.lang.String)
-	 */
 	@Override
 	public NamedArea getNamedAreaByKey(String key) throws UndefinedTransformerMethodException {
 		if (StringUtils.isBlank(key)){
@@ -101,7 +80,7 @@ public final class IndexFungorumTransformer extends InputTransformerBase {
 		}else if (key.equalsIgnoreCase("SE")){return TdwgAreaProvider.getAreaByTdwgAbbreviation("SWE-OO");
 		}else if (key.equalsIgnoreCase("AM")){return TdwgAreaProvider.getAreaByTdwgAbbreviation("TCS-AR");
 		}else if (key.equalsIgnoreCase("IL")){return TdwgAreaProvider.getAreaByTdwgAbbreviation("PAL-IS");
-		
+
 		}else if (key.equalsIgnoreCase("UK")){return Country.UNITEDKINGDOMOFGREATBRITAINANDNORTHERNIRELAND();
 		}else if (key.equalsIgnoreCase("DK")){return Country.DENMARKKINGDOMOF();
 		}else if (key.equalsIgnoreCase("GR")){return Country.GREECEHELLENICREPUBLIC();
@@ -111,8 +90,7 @@ public final class IndexFungorumTransformer extends InputTransformerBase {
 		}else if (key.equalsIgnoreCase("UA")){return Country.UKRAINE();
 		}else if (key.equalsIgnoreCase("GE")){return Country.GEORGIA();
 		}else if (key.equalsIgnoreCase("TR")){return Country.TURKEYREPUBLICOF();
-		
-		
+
 		} else {
 			logger.warn("Area not yet mapped: " +  key);
 			return null;
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiAdditionalSourceExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiAdditionalSourceExport.java
index 63076f1d..7dbbe933 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiAdditionalSourceExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiAdditionalSourceExport.java
@@ -90,7 +90,7 @@ public class PesiAdditionalSourceExport extends PesiExportBase {
 	}
 
 	//PHASE 01: Sources
-	private boolean doPhase01(PesiExportState state, PesiExportMapping mapping) throws SQLException {
+	private boolean doPhase01(PesiExportState state, PesiExportMapping mapping) {
 
 //	    System.out.println("PHASE 1 of description import");
 	    logger.info("PHASE 1...");
@@ -100,12 +100,13 @@ public class PesiAdditionalSourceExport extends PesiExportBase {
 		//int limit = state.getConfig().getLimitSave();
 		int limit = 1000;
 
-		List<TaxonBase> taxonList = null;
+		@SuppressWarnings("rawtypes")
+        List<TaxonBase> taxonList = null;
 
 		TransactionStatus txStatus = startTransaction(true);
 
 		if (logger.isDebugEnabled()){
-		    logger.info("Started new transaction. Fetching some " + pluralString + " (max: " + limit + ") ...");
+		    logger.info("Started new transaction. Fetching some " + parentPluralString + " (max: " + limit + ") ...");
 		    logger.debug("Start snapshot, before starting loop");
 		    ProfilerController.memorySnapshot();
 		}
@@ -115,12 +116,12 @@ public class PesiAdditionalSourceExport extends PesiExportBase {
 		while ((taxonList = getNextTaxonPartition(TaxonBase.class, limit, partitionCount++, propPath )) != null   ) {
 
 			if (logger.isDebugEnabled()) {
-                logger.info("Fetched " + taxonList.size() + " " + pluralString + ". Exporting...");
+                logger.info("Fetched " + taxonList.size() + " " + parentPluralString + ". Exporting...");
             }
 
-			for (TaxonBase taxon : taxonList) {
+			for (TaxonBase<?> taxon : taxonList) {
 				countTaxa++;
-				doCount(count++, modCount, pluralString);
+				doCount(count++, modCount, parentPluralString);
 				state.setCurrentTaxon(taxon);
 				if (!taxon.getSources().isEmpty()){
 					success &= handleSingleTaxon(taxon, mapping);
@@ -131,7 +132,7 @@ public class PesiAdditionalSourceExport extends PesiExportBase {
 
 			// Commit transaction
 			commitTransaction(txStatus);
-			logger.info("Exported " + (count - pastCount) + " " + pluralString + ". Total taxa: " + count + ". Total sources " + countSources);
+			logger.info("Exported " + (count - pastCount) + " " + parentPluralString + ". Total taxa: " + count + ". Total sources " + countSources);
 			pastCount = count;
 			if (logger.isDebugEnabled()) {
                 ProfilerController.memorySnapshot();
@@ -139,7 +140,7 @@ public class PesiAdditionalSourceExport extends PesiExportBase {
 			// Start transaction
 			txStatus = startTransaction(true);
 			if(logger.isDebugEnabled()) {
-                logger.info("Started new transaction. Fetching some " + pluralString + " (max: " + limit + ") for description import ...");
+                logger.info("Started new transaction. Fetching some " + parentPluralString + " (max: " + limit + ") for description import ...");
             }
 		}
 
@@ -150,7 +151,7 @@ public class PesiAdditionalSourceExport extends PesiExportBase {
 		return success;
 	}
 
-	private boolean handleSingleTaxon(TaxonBase<?> taxon, PesiExportMapping mapping) throws SQLException {
+	private boolean handleSingleTaxon(TaxonBase<?> taxon, PesiExportMapping mapping) {
 
 	    boolean success = true;
 
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java
index d60b34d9..2e9201cb 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java
@@ -75,6 +75,7 @@ import eu.etaxonomy.cdm.profiler.ProfilerController;
  * <li>Phase 2:	Export of TaxonName extensions <code>taxComment</code>, <code>fauComment</code> and <code>fauExtraCodes</code> as Notes.</ul>
  * @author e.-m.lee
  * @since 23.02.2010
+ * @author a.mueller
  */
 @Component
 public class PesiDescriptionExport extends PesiExportBase {
@@ -90,7 +91,7 @@ public class PesiDescriptionExport extends PesiExportBase {
 	private static final String dbVernacularTableName = "CommonName";
 	private static final String dbImageTableName = "Image";
 	private static final String dbAdditionalSourceTableName = "AdditionalTaxonSource";
-	private static final String pluralString = "attached infos";
+	private static final String pluralString = "descriptions";
 	private static final String parentPluralString = "Taxa";
 
 	//decide where to handle them best (configurator, transformer, single method, ...)
@@ -190,7 +191,7 @@ public class PesiDescriptionExport extends PesiExportBase {
 		TransactionStatus txStatus = startTransaction(true);
 
 		if (logger.isDebugEnabled()){
-		    logger.info("Started new transaction. Fetching some " + pluralString + " (max: " + limit + ") ...");
+		    logger.info("Started new transaction. Fetching some " + parentPluralString + " (max: " + limit + ") ...");
 		    logger.debug("Start snapshot, before starting loop");
 		    ProfilerController.memorySnapshot();
 		}
@@ -200,12 +201,12 @@ public class PesiDescriptionExport extends PesiExportBase {
 		while ((taxonList = getNextTaxonPartition(Taxon.class, limit, partitionCount++, propPath )) != null   ) {
 
 			if (logger.isDebugEnabled()) {
-                logger.info("Fetched " + taxonList.size() + " " + pluralString + ". Exporting...");
+                logger.info("Fetched " + taxonList.size() + " " + parentPluralString + ". Exporting...");
             }
 
 			for (Taxon taxon : taxonList) {
 				countTaxa++;
-				doCount(count++, modCount, pluralString);
+				doCount(count++, modCount, parentPluralString);
 				state.setCurrentTaxon(taxon);
 				if (!taxon.getDescriptions().isEmpty()){
 					success &= handleSingleTaxon(taxon, state, notesMapping, occurrenceMapping, addSourceSourceMapping,
@@ -217,17 +218,17 @@ public class PesiDescriptionExport extends PesiExportBase {
 
 			// Commit transaction
 			commitTransaction(txStatus);
-			logger.info("Exported " + (count - pastCount) + " " + pluralString + ". Total: " + count + " (Phase 01)");
+			logger.info("Exported " + (count - pastCount) + " " + parentPluralString + ". Total: " + count + " (Phase 01)");
 			pastCount = count;
 			ProfilerController.memorySnapshot();
 			// Start transaction
 			txStatus = startTransaction(true);
 			if(logger.isDebugEnabled()) {
-                logger.info("Started new transaction. Fetching some " + pluralString + " (max: " + limit + ") for description import ...");
+                logger.info("Started new transaction. Fetching some " + parentPluralString + " (max: " + limit + ") for description import ...");
             }
 		}
 
-		logger.info("No " + pluralString + " left to fetch.");
+		logger.info("No " + parentPluralString + " left to fetch.");
 		logger.info("Partition: " + partitionCount);
 		logger.info("Taxa: " + countTaxa);
 		logger.info("Desc: " + countDescriptions);
@@ -304,7 +305,7 @@ public class PesiDescriptionExport extends PesiExportBase {
 			logger.info("Started new transaction. Fetching some name descriptions (max: " + limit + ") for description import ...");
 		}
 
-		logger.info("No " + pluralString + " left to fetch.");
+		logger.info("No " + parentPluralString + " left to fetch.");
 		logger.info("Partition: " + partitionCount);
 		logger.info("Taxa: " + countTaxa);
 		logger.info("Desc: " + countDescriptions);
@@ -551,7 +552,7 @@ public class PesiDescriptionExport extends PesiExportBase {
 					}
 				}
 
-				doCount(count++, modCount, pluralString);
+				doCount(count++, modCount, parentPluralString);
 			}
 
 			// Commit transaction
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiEcologyAndLinkExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiEcologyAndLinkExport.java
index a833c942..61715b5f 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiEcologyAndLinkExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiEcologyAndLinkExport.java
@@ -340,6 +340,6 @@ public class PesiEcologyAndLinkExport extends PesiExportBase {
 
     @Override
     protected boolean isIgnore(PesiExportState state) {
-        return ! state.getConfig().isDoEcology();
+        return ! state.getConfig().isDoEcologyAndLink();
     }
 }
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java
index b66f185d..992b3a33 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java
@@ -46,7 +46,7 @@ public class PesiExportConfigurator
 	private boolean doInferredSynonyms = true;
 	private boolean doPureNames = true;
 	private boolean doDescription = true;
-	private boolean doEcology = true;
+	private boolean doEcologyAndLink = true;
 
 	private int nameIdStart = 10000000;
 
@@ -211,11 +211,11 @@ public class PesiExportConfigurator
 		this.doParentAndBiota = doParentAndBiota;
 	}
 
-    public boolean isDoEcology() {
-        return doEcology;
+    public boolean isDoEcologyAndLink() {
+        return doEcologyAndLink;
     }
-    public void setDoEcology(boolean doEcology) {
-        this.doEcology = doEcology;
+    public void setDoEcologyAndLink(boolean doEcologyAndLink) {
+        this.doEcologyAndLink = doEcologyAndLink;
     }
 
 }
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
index d9c81dee..ba51af4f 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
@@ -2456,6 +2456,7 @@ public class PesiTaxonExport extends PesiExportBase {
 		//experts
 		ExtensionType extensionTypeSpeciesExpertName = (ExtensionType)getTermService().find(PesiTransformer.uuidExtSpeciesExpertName);
 		mapping.addMapper(DbExtensionMapper.NewInstance(extensionTypeSpeciesExpertName, "SpeciesExpertName"));
+
 		ExtensionType extensionTypeExpertName = (ExtensionType)getTermService().find(PesiTransformer.uuidExtExpertName);
 		mapping.addMapper(DbExtensionMapper.NewInstance(extensionTypeExpertName, "ExpertName"));
 
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
index ab473132..b272e0c9 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
@@ -102,7 +102,7 @@ public final class PesiTransformer extends ExportTransformerBase{
 	public static final UUID uuidExtTaxComment = UUID.fromString("8041a752-0479-4626-ab1b-b266b751f816");
 	public static final UUID uuidExtFauComment = UUID.fromString("054f773a-41c8-4ad5-83e3-981320c1c126");
 	public static final UUID uuidExtFauExtraCodes = UUID.fromString("b8c7e77d-9869-4787-bed6-b4b302dbc5f5");
-	
+
 	// References
 	public static int REF_ARTICLE_IN_PERIODICAL = 1;
 	public static int REF_PART_OF_OTHER = 2;
@@ -912,7 +912,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		return result;
 	}
 
-
 	/**
 	 * Returns the OccurrenceStatusId for a given PresenceAbsenceTerm.
 	 * @param term
@@ -959,7 +958,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		return result;
 	}
 
-
 	@Override
 	public String getCacheByPresenceAbsenceTerm(PresenceAbsenceTerm status) throws UndefinedTransformerMethodException {
 		if (status == null){
@@ -974,8 +972,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		return presenceAbsenceTerm2OccurrenceStatusId(status);
 	}
 
-
-
 	@Override
 	public String getCacheByNamedArea(NamedArea namedArea) throws UndefinedTransformerMethodException {
 		NamedArea area = CdmBase.deproxy(namedArea, NamedArea.class);
@@ -986,7 +982,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		}
 	}
 
-
 	@Override
 	public Object getKeyByNamedArea(NamedArea area) throws UndefinedTransformerMethodException {
 		NamedArea namedArea = CdmBase.deproxy(area, NamedArea.class);
@@ -1572,7 +1567,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		} else if (feature.getUuid().equals(BerlinModelTransformer.uuidFeatureConservationStatus)){
 			return NoteCategory_Conservation_Status;
 
-
 		//E+M
 		} else if (feature.getUuid().equals(BerlinModelTransformer.uuidFeatureDistrEM)){
 			return NoteCategory_general_distribution_euromed;
@@ -1960,7 +1954,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 			logger.warn("Name Type Designation Status not yet supported in PESI: "+ nameTypeDesignationStatus.getLabel());
 			return null;
 		}
-
 	}
 
 	/**
@@ -2108,11 +2101,6 @@ public final class PesiTransformer extends ExportTransformerBase{
 		}
 	}
 
-	/**
-	 *
-	 * @param status
-	 * @return
-	 */
 	@Override
     public String getCacheByNomStatus(NomenclaturalStatusType status) {
 		if (status == null){
@@ -2294,6 +2282,7 @@ public final class PesiTransformer extends ExportTransformerBase{
 		return null;
 	}
 	/**
+     * FIXME still needed?
      * Returns the RelTaxonQualifierFk for a TaxonRelation.
      * @param relation
      * @return